/* eslint-env node */
/* global module: false */
'use strict';

const packages = [
  {name: 'normalize.css'},
  {name: 'matthewhudson/device.js'},
  {name: 'postcss-import'},
  {name: 'postcss-extend'},
  {name: 'postcss-merge-rules'},
  {name: 'postcss-discard-duplicates'},
];

module.exports = {
  name: 'ui-foundation',
  description: 'Install dependencies for @choiceform/ui-foundation.',

  normalizeEntityName(entityName) {
    return entityName;
  },

  afterInstall: function(/* options */) {
    return this.addAddonToProject(
      {name: 'ember-css-modules', blueprintOptions: {save: true}}
    ).then(
      () => this.addAddonToProject({name: 'ember-cli-node-assets'})
    ).then(
      () => this.addPackagesToProject(packages)
    );
  },
};
